Bug 217229 - Review Request: libmpd - Music Player Daemon library
Summary: Review Request: libmpd - Music Player Daemon library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-11-25 11:18 UTC by Adrian Reber
Modified: 2015-04-02 23:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 12:32:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description Adrian Reber 2006-11-25 11:18:40 UTC
Spec URL: http://lisas.de/~adrian/rpm/libmpd.spec
SRPM URL: http://lisas.de/~adrian/rpm/libmpd-0.12.0-2.src.rpm
Description:
libmpd is an abstraction around libmpdclient. It provides an easy and
reliable callback based interface to mpd.

This library is needed to update gmpc to 0.13

Comment 1 Aurelien Bompard 2006-11-25 13:27:24 UTC
Review for release 2:
* RPM name is OK
* Source libmpd-0.12.0.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of libmpd looks OK
* rpmlint of libmpd-devel looks OK
* File list of libmpd looks OK
* File list of libmpd-devel looks OK
* INSERT RESULT OF RUN TEST

Needs work:
* As libmpd-devel ships a pkgconfig file (.pc), is should have "Requires: pkgconfig"

Fix this and you're good to go

Comment 2 Aurelien Bompard 2006-11-25 14:14:29 UTC
(sorry for the "INSERT RESULT OF RUN TEST", I did actually test it)

Comment 3 Adrian Reber 2006-11-25 22:22:44 UTC
Sorry. I just saw that you changed the blocker bug to FE-REVIEW. Unfortunately I
already imported it because I thought it was FE-ACCEPT. I will not request a
build  before you change it to FE-ACCEPT. Really sorry.

I have updated the package in the CVS to include Requires: pkgconfig in the
-devel package. Hope it is alright now.

Comment 4 Aurelien Bompard 2006-11-25 23:20:52 UTC
No problem. If it has the proper "Requires" in CVS, just go ahead and build it.

Comment 5 Adrian Reber 2006-11-26 12:32:31 UTC
Aurelien, thanks a lot. Package has been build for devel.

Comment 6 Warren Togami 2006-11-27 01:01:30 UTC
Please don't forget to assign the review to yourself when you take or approve it.

Comment 7 Mukundan Ragavan 2015-04-01 00:24:51 UTC
Package Change Request
======================
Package Name: libmpd
New Branches: epel7
Owners: nonamedotc

Comment 8 Patrick Uiterwijk 2015-04-02 13:03:57 UTC
Adrianr is not on the list of packagers that are okay with anyone requesting their packages for EPEL (http://fedoraproject.org/wiki/EPEL/ContributorStatusNo), so please ask him to request the branch.

Comment 9 Adrian Reber 2015-04-02 13:09:07 UTC
Package Change Request
======================
Package Name: libmpd
New Branches: epel7
Owners: nonamedotc

Comment 10 Patrick Uiterwijk 2015-04-02 14:42:19 UTC
Git done (by process-git-requests).

Comment 11 Mukundan Ragavan 2015-04-02 23:46:43 UTC
Thank you Patrick and Adrian! Quick response much appreciated.


Note You need to log in before you can comment on or make changes to this bug.